# \Thelia\ModelCountryQuery

Skeleton subclass for performing query and update operations on the 'country' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByAreaId()
filterByIsocode()
filterByIsoalpha2()
filterByIsoalpha3()
filterByCreatedAt()
filterByUpdatedAt()
filterByArea()
joinArea()
useAreaQuery()
filterByTaxRuleCountry()
joinTaxRuleCountry()
useTaxRuleCountryQuery()
filterByAddress()
joinAddress()
useAddressQuery()
filterByCountryI18n()
joinCountryI18n()
useCountryI18nQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
joinI18n()
joinWithI18n()
useI18nQuery()
orderById()
orderByAreaId()
orderByIsocode()
orderByIsoalpha2()
orderByIsoalpha3()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByAreaId()
groupByIsocode()
groupByIsoalpha2()
groupByIsoalpha3()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinArea()
rightJoinArea()
innerJoinArea()
leftJoinTaxRuleCountry()
rightJoinTaxRuleCountry()
innerJoinTaxRuleCountry()
leftJoinAddress()
rightJoinAddress()
innerJoinAddress()
leftJoinCountryI18n()
rightJoinCountryI18n()
innerJoinCountryI18n()
findOne()
findOneOrCreate()
findOneById()
findOneByAreaId()
findOneByIsocode()
findOneByIsoalpha2()
findOneByIsoalpha3()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByAreaId()
findByIsocode()
findByIsoalpha2()
findByIsoalpha3()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/CountryQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\CountryQuery
  \Thelia\Model\CountryQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\CountryQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\CountryQuery

Returns a new ChildCountryQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\CountryQuery

#

static

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Country|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Country|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\CountryQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\CountryQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\CountryQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### filterByAreaId()

    filterByAreaId(mixed $areaId, string $comparison) : \Thelia\Model\CountryQuery

Filter the query on the area_id column

Example usage: `$query->filterByAreaId(1234); // WHERE area_id = 1234 $query->filterByAreaId(array(12, 34)); // WHERE area_id IN (12, 34) $query->filterByAreaId(array('min' => 12)); // WHERE area_id > 12`

#### Parameters

mixed | $areaId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery
See also

## Tags

None found

### filterByIsocode()

    filterByIsocode(string $isocode, string $comparison) : \Thelia\Model\CountryQuery

Filter the query on the isocode column

Example usage: `$query->filterByIsocode('fooValue'); // WHERE isocode = 'fooValue' $query->filterByIsocode('%fooValue%'); // WHERE isocode LIKE '%fooValue%'`

#### Parameters

string | $isocode | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### filterByIsoalpha2()

    filterByIsoalpha2(string $isoalpha2, string $comparison) : \Thelia\Model\CountryQuery

Filter the query on the isoalpha2 column

Example usage: `$query->filterByIsoalpha2('fooValue'); // WHERE isoalpha2 = 'fooValue' $query->filterByIsoalpha2('%fooValue%'); // WHERE isoalpha2 LIKE '%fooValue%'`

#### Parameters

string | $isoalpha2 | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### filterByIsoalpha3()

    filterByIsoalpha3(string $isoalpha3, string $comparison) : \Thelia\Model\CountryQuery

Filter the query on the isoalpha3 column

Example usage: `$query->filterByIsoalpha3('fooValue'); // WHERE isoalpha3 = 'fooValue' $query->filterByIsoalpha3('%fooValue%'); // WHERE isoalpha3 LIKE '%fooValue%'`

#### Parameters

string | $isoalpha3 | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\CountryQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\CountryQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### filterByArea()

    filterByArea(\Thelia\Model\Area|\Propel\Runtime\Collection\ObjectCollection $area, string $comparison) : \Thelia\Model\CountryQuery

Filter the query by a related \Thelia\Model\Area object

#### Parameters

\Thelia\Model\Area|\Propel\Runtime\Collection\ObjectCollection | $area | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### joinArea()

    joinArea(string $relationAlias, string $joinType) : \Thelia\Model\CountryQuery

Adds a JOIN clause to the query using the Area relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### useAreaQuery()

    useAreaQuery(string $relationAlias, string $joinType) : \Thelia\Model\AreaQuery

Use the Area relation Area object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AreaQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CountryQuery
See also

## Tags

None found

### filterByTaxRuleCountry()

    filterByTaxRuleCountry(\Thelia\Model\TaxRuleCountry|\Propel\Runtime\Collection\ObjectCollection $taxRuleCountry, string $comparison) : \Thelia\Model\CountryQuery

Filter the query by a related \Thelia\Model\TaxRuleCountry object

#### Parameters

\Thelia\Model\TaxRuleCountry|\Propel\Runtime\Collection\ObjectCollection | $taxRuleCountry | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### joinTaxRuleCountry()

    joinTaxRuleCountry(string $relationAlias, string $joinType) : \Thelia\Model\CountryQuery

Adds a JOIN clause to the query using the TaxRuleCountry relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### useTaxRuleCountryQuery()

    useTaxRuleCountryQuery(string $relationAlias, string $joinType) : \Thelia\Model\TaxRuleCountryQuery

Use the TaxRuleCountry relation TaxRuleCountry object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\TaxRuleCountryQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CountryQuery
See also

## Tags

None found

### filterByAddress()

    filterByAddress(\Thelia\Model\Address|\Propel\Runtime\Collection\ObjectCollection $address, string $comparison) : \Thelia\Model\CountryQuery

Filter the query by a related \Thelia\Model\Address object

#### Parameters

\Thelia\Model\Address|\Propel\Runtime\Collection\ObjectCollection | $address | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### joinAddress()

    joinAddress(string $relationAlias, string $joinType) : \Thelia\Model\CountryQuery

Adds a JOIN clause to the query using the Address relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### useAddressQuery()

    useAddressQuery(string $relationAlias, string $joinType) : \Thelia\Model\AddressQuery

Use the Address relation Address object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AddressQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CountryQuery
See also

## Tags

None found

### filterByCountryI18n()

    filterByCountryI18n(\Thelia\Model\CountryI18n|\Propel\Runtime\Collection\ObjectCollection $countryI18n, string $comparison) : \Thelia\Model\CountryQuery

Filter the query by a related \Thelia\Model\CountryI18n object

#### Parameters

\Thelia\Model\CountryI18n|\Propel\Runtime\Collection\ObjectCollection | $countryI18n | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### joinCountryI18n()

    joinCountryI18n(string $relationAlias, string $joinType) : \Thelia\Model\CountryQuery

Adds a JOIN clause to the query using the CountryI18n relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### useCountryI18nQuery()

    useCountryI18nQuery(string $relationAlias, string $joinType) : \Thelia\Model\CountryI18nQuery

Use the CountryI18n relation CountryI18n object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CountryI18nQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CountryQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\Country $country) : \Thelia\Model\CountryQuery

Exclude object from result

#### Parameters

\Thelia\Model\Country | $country | Object to remove from the list of results

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the country table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildCountry or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\CountryQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\CountryQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\CountryQuery

Order by update date desc

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\CountryQuery

Order by update date asc

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\CountryQuery

Order by create date desc

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\CountryQuery

Order by create date asc

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### joinI18n()

    joinI18n(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\CountryQuery

Adds a JOIN clause to the query using the i18n relation

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### joinWithI18n()

    joinWithI18n(string $locale, string $joinType) : \Thelia\Model\CountryQuery

Adds a JOIN clause to the query and hydrates the related I18n object.

Shortcut for $c->joinI18n($locale)->with()

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\CountryQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### useI18nQuery()

    useI18nQuery(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\CountryI18nQuery

Use the I18n relation query object

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\CountryI18nQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CountryQuery
See also

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\CountryQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### orderByAreaId()

    orderByAreaId($order =) : \Thelia\Model\CountryQuery

Order by the area_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### orderByIsocode()

    orderByIsocode($order =) : \Thelia\Model\CountryQuery

Order by the isocode column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### orderByIsoalpha2()

    orderByIsoalpha2($order =) : \Thelia\Model\CountryQuery

Order by the isoalpha2 column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### orderByIsoalpha3()

    orderByIsoalpha3($order =) : \Thelia\Model\CountryQuery

Order by the isoalpha3 column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\CountryQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\CountryQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\CountryQuery

Group by the id column

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### groupByAreaId()

    groupByAreaId() : \Thelia\Model\CountryQuery

Group by the area_id column

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### groupByIsocode()

    groupByIsocode() : \Thelia\Model\CountryQuery

Group by the isocode column

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### groupByIsoalpha2()

    groupByIsoalpha2() : \Thelia\Model\CountryQuery

Group by the isoalpha2 column

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### groupByIsoalpha3()

    groupByIsoalpha3() : \Thelia\Model\CountryQuery

Group by the isoalpha3 column

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\CountryQuery

Group by the created_at column

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\CountryQuery

Group by the updated_at column

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\CountryQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\CountryQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\CountryQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### leftJoinArea()

    leftJoinArea($relationAlias =) : \Thelia\Model\CountryQuery

Adds a LEFT JOIN clause to the query using the Area relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### rightJoinArea()

    rightJoinArea($relationAlias =) : \Thelia\Model\CountryQuery

Adds a RIGHT JOIN clause to the query using the Area relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### innerJoinArea()

    innerJoinArea($relationAlias =) : \Thelia\Model\CountryQuery

Adds a INNER JOIN clause to the query using the Area relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### leftJoinTaxRuleCountry()

    leftJoinTaxRuleCountry($relationAlias =) : \Thelia\Model\CountryQuery

Adds a LEFT JOIN clause to the query using the TaxRuleCountry relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### rightJoinTaxRuleCountry()

    rightJoinTaxRuleCountry($relationAlias =) : \Thelia\Model\CountryQuery

Adds a RIGHT JOIN clause to the query using the TaxRuleCountry relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### innerJoinTaxRuleCountry()

    innerJoinTaxRuleCountry($relationAlias =) : \Thelia\Model\CountryQuery

Adds a INNER JOIN clause to the query using the TaxRuleCountry relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### leftJoinAddress()

    leftJoinAddress($relationAlias =) : \Thelia\Model\CountryQuery

Adds a LEFT JOIN clause to the query using the Address relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### rightJoinAddress()

    rightJoinAddress($relationAlias =) : \Thelia\Model\CountryQuery

Adds a RIGHT JOIN clause to the query using the Address relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### innerJoinAddress()

    innerJoinAddress($relationAlias =) : \Thelia\Model\CountryQuery

Adds a INNER JOIN clause to the query using the Address relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### leftJoinCountryI18n()

    leftJoinCountryI18n($relationAlias =) : \Thelia\Model\CountryQuery

Adds a LEFT JOIN clause to the query using the CountryI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### rightJoinCountryI18n()

    rightJoinCountryI18n($relationAlias =) : \Thelia\Model\CountryQuery

Adds a RIGHT JOIN clause to the query using the CountryI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### innerJoinCountryI18n()

    innerJoinCountryI18n($relationAlias =) : \Thelia\Model\CountryQuery

Adds a INNER JOIN clause to the query using the CountryI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CountryQuery

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Country

Return the first ChildCountry matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Country

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Country

Return the first ChildCountry matching the query, or a new ChildCountry object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Country

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Country

Return the first ChildCountry filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Country

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findOneByAreaId()

    findOneByAreaId(int $area_id) : \Thelia\Model\Country

Return the first ChildCountry filtered by the area_id column

#### Parameters

int | $area_id |

#### Returns

\Thelia\Model\Country

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findOneByIsocode()

    findOneByIsocode(string $isocode) : \Thelia\Model\Country

Return the first ChildCountry filtered by the isocode column

#### Parameters

string | $isocode |

#### Returns

\Thelia\Model\Country

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findOneByIsoalpha2()

    findOneByIsoalpha2(string $isoalpha2) : \Thelia\Model\Country

Return the first ChildCountry filtered by the isoalpha2 column

#### Parameters

string | $isoalpha2 |

#### Returns

\Thelia\Model\Country

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findOneByIsoalpha3()

    findOneByIsoalpha3(string $isoalpha3) : \Thelia\Model\Country

Return the first ChildCountry filtered by the isoalpha3 column

#### Parameters

string | $isoalpha3 |

#### Returns

\Thelia\Model\Country

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Country

Return the first ChildCountry filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Country

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Country

Return the first ChildCountry filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Country

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildCountry objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findByAreaId()

    findByAreaId(int $area_id) : array

Return ChildCountry objects filtered by the area_id column

#### Parameters

int | $area_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findByIsocode()

    findByIsocode(string $isocode) : array

Return ChildCountry objects filtered by the isocode column

#### Parameters

string | $isocode |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findByIsoalpha2()

    findByIsoalpha2(string $isoalpha2) : array

Return ChildCountry objects filtered by the isoalpha2 column

#### Parameters

string | $isoalpha2 |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findByIsoalpha3()

    findByIsoalpha3(string $isoalpha3) : array

Return ChildCountry objects filtered by the isoalpha3 column

#### Parameters

string | $isoalpha3 |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildCountry objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildCountry objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Country

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Country —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Country|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Country|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CountryQuery

## Tags

None found

### CountryQuery.php